Bug 506317 - system migration error handling needs to be better for --satellite option
system migration error handling needs to be better for --satellite option
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Todd Sanders
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2009-06-16 12:41 EDT by Preethi Thomas
Modified: 2014-07-04 09:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-04 09:25:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2009-06-16 12:41:43 EDT
Description of problem:
system migration spits out errors when --satellite is not in the right format

Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090612.0-i386-embedded-oracle.iso

How reproducible:


Steps to Reproduce:
1. run migrate-system-profile with --satellite option in the wrong format
2.
3.
  
Actual results:

[root@rlx-3-24 ~]# migrate-system-profile  --satellite=http://rlx-3-24.rhndev.redhat.com --to-org-id=3 --username=admin --pass=dog8code --systemId=1000010040
Traceback (most recent call last):
  File "/usr/bin/migrate-system-profile", line 101, in ?
    sys.exit(abs(main() or 0))
  File "/usr/bin/migrate-system-profile", line 91, in main
    return migrateSystemProfile.main()
  File "/usr/share/rhn/utils/migrateSystemProfile.py", line 91, in main
    sessionKey = login(username, password)
  File "/usr/share/rhn/utils/migrateSystemProfile.py", line 116, in login
    sessionkey = client.auth.login(username, password)
  File "/usr/lib/python2.4/xmlrpclib.py", line 1096, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.4/xmlrpclib.py", line 1383, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.4/xmlrpclib.py", line 1122, in request
    h = self.make_connection(host)
  File "/usr/lib/python2.4/xmlrpclib.py", line 1199, in make_connection
    return httplib.HTTP(host)
  File "/usr/lib/python2.4/httplib.py", line 1103, in __init__
    self._setup(self._connection_class(host, port, strict))
  File "/usr/lib/python2.4/httplib.py", line 592, in __init__
    self._set_hostport(host, port)
  File "/usr/lib/python2.4/httplib.py", line 604, in _set_hostport
    raise InvalidURL("nonnumeric port: '%s'" % host[i+1:])
httplib.InvalidURL: nonnumeric port: ''

Expected results:
user friendly error that states --satellite  needs to be in the correct format.

Additional info:

migrate-system-profile --help also does not give any direction in how the --satellite option should be entered.
Comment 1 Clifford Perry 2009-06-17 10:31:45 EDT
Propose for 531.

Note You need to log in before you can comment on or make changes to this bug.